package com.sheep.gamegroup.model.entity;

import android.text.TextUtils;

/**
 * Created by ljy on 2018/3/18.
 */

public class GridViewEntity {

    public GridViewEntity(boolean selectState, String value) {
        this.selectState = selectState;
        this.value = value;
    }

    public GridViewEntity(boolean selectState, int id, String name) {
        this.selectState = selectState;
        this.id = id;
        this.name = name;
    }

    public GridViewEntity(boolean selectState, String name, String task_type) {
        this.selectState = selectState;
        this.name = name;
        this.task_type = task_type;
    }

    public GridViewEntity() {
    }

    private boolean selectState;
    private String value;

    private int id;// -1:全部
    private String name;

    private String task_type;

    public String getTask_type() {
        return TextUtils.isEmpty(task_type)?("1002"+",1003"+",1004"):task_type;
    }

    public void setTask_type(String task_type) {
        this.task_type = task_type;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public boolean isSelectState() {
        return selectState;
    }

    public void setSelectState(boolean selectState) {
        this.selectState = selectState;
    }

    public String getValue() {
        return value == null? "": value;
    }

    public void setValue(String value) {
        this.value = value;
    }
}
